Bug 989585 - crash command can not read the dump-guest-memory file when paging=false [RHEL-6]
crash command can not read the dump-guest-memory file when paging=false [RHEL-6]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.5
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Laszlo Ersek
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-29 11:13 EDT by Laszlo Ersek
Modified: 2013-11-21 02:05 EST (History)
15 users (show)

See Also:
Fixed In Version: qemu-kvm-0.12.1.2-2.394.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 981582
Environment:
Last Closed: 2013-11-21 02:05:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Laszlo Ersek 2013-07-29 11:13:00 EDT
+++ This bug was initially created as a clone of Bug #981582 +++

This BZ tracks the RHEL-6 backport of any fixes for the 'dump-guest-memory' QMP command. See the clone origin BZ for RHEL-6 patches (work in progress).
Comment 6 zhonglinzhang 2013-09-05 06:21:39 EDT
Reproduce with qemu-kvm: qemu-img-0.12.1.2-2.392.el6.x86_64

Steps to Reproduce:
1. Boot a guest with the following command line:
/usr/libexec/qemu-kvm -M pc -enable-kvm -m 4G -smp 4,sockets=1,cores=4,threads=1 -name test -rtc base=localtime,clock=host,driftfix=slew -k en-us -boot menu=on -spice disable-ticketing,port=5930 -vga qxl -monitor stdio -drive file=/home/RHEL-Server-6.5-64.qcow2,if=none,id=drive-system-disk,media=disk,format=qcow2,aio=native,werror=stop,rerror=stop -device virtio-blk-pci,drive=drive-system-disk,id=system-disk -netdev tap,id=hostnet0,vhost=on,script=/etc/qemu-ifup -device virtio-net-pci,netdev=hostnet0,id=virtio-net-pci0,mac=00:22:15:27:54:9d,bus=pci.0,addr=0x9 -qmp tcp:0:5555,server,nowait

2. Start qmp and create crash dump file
{"execute":"dump-guest-memory","arguments":{"paging": false,"protocol":"file:/tmp/guest-memory"}}

3. Read the crash dump file by "crash"
crash /usr/lib/debug/lib/modules/2.6.32-416.el6.x86_64/vmlinux /tmp/guest-memory

Actual results:
crash can not read dump-guest-memory file:

crash 6.1.0-2.el6
Copyright (C) 2002-2012  Red Hat, Inc.
Copyright (C) 2004, 2005, 2006, 2010  IBM Corporation
Copyright (C) 1999-2006  Hewlett-Packard Co
Copyright (C) 2005, 2006, 2011, 2012  Fujitsu Limited
Copyright (C) 2006, 2007  VA Linux Systems Japan K.K.
Copyright (C) 2005, 2011  NEC Corporation
Copyright (C) 1999, 2002, 2007  Silicon Graphics, Inc.
Copyright (C) 1999, 2000, 2001, 2002  Mission Critical Linux, Inc.
This program is free software, covered by the GNU General Public License,
and you are welcome to change it and/or distribute copies of it under
certain conditions.  Enter "help copying" to see the conditions.
This program has absolutely no warranty.  Enter "help warranty" for details.
 
GNU gdb (GDB) 7.3.1
Copyright (C) 2011 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-unknown-linux-gnu"...

WARNING: failed to init kexec backup region
please wait... (gathering kmem slab cache data)
crash: read error: kernel virtual address: ffff88011cda2e80  type: "kmem_cache buffer"

crash: unable to initialize kmem slab cache subsystem

please wait... (gathering module symbol data)
crash: read error: physical address: 11c045000  type: "page table"



Verify this issue with qemu-kvm: qemu-kvm-0.12.1.2-2.400.el6.x86_64
steps as above

Actual Result:
crash can read the file:
crash 6.1.0-2.el6
Copyright (C) 2002-2012  Red Hat, Inc.
Copyright (C) 2004, 2005, 2006, 2010  IBM Corporation
Copyright (C) 1999-2006  Hewlett-Packard Co
Copyright (C) 2005, 2006, 2011, 2012  Fujitsu Limited
Copyright (C) 2006, 2007  VA Linux Systems Japan K.K.
Copyright (C) 2005, 2011  NEC Corporation
Copyright (C) 1999, 2002, 2007  Silicon Graphics, Inc.
Copyright (C) 1999, 2000, 2001, 2002  Mission Critical Linux, Inc.
This program is free software, covered by the GNU General Public License,
and you are welcome to change it and/or distribute copies of it under
certain conditions.  Enter "help copying" to see the conditions.
This program has absolutely no warranty.  Enter "help warranty" for details.
 
GNU gdb (GDB) 7.3.1
Copyright (C) 2011 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-unknown-linux-gnu"...

      KERNEL: /usr/lib/debug/lib/modules/2.6.32-416.el6.x86_64/vmlinux
    DUMPFILE: guest-memory
        CPUS: 4
        DATE: Thu Sep  5 02:18:10 2013
      UPTIME: 00:01:17
LOAD AVERAGE: 0.07, 0.04, 0.01
       TASKS: 283
    NODENAME: localhost.localdomain
     RELEASE: 2.6.32-416.el6.x86_64
     VERSION: #1 SMP Thu Aug 29 09:09:11 EDT 2013
     MACHINE: x86_64  (3392 Mhz)
      MEMORY: 4 GB
       PANIC: ""
         PID: 0
     COMMAND: "swapper"
        TASK: ffffffff81a8d020  (1 of 4)  [THREAD_INFO: ffffffff81a00000]
         CPU: 0
       STATE: TASK_RUNNING (PANIC)

crash> bt
PID: 0      TASK: ffffffff81a8d020  CPU: 0   COMMAND: "swapper"
 #0 [ffffffff81a01eb0] default_idle at ffffffff810167bd
 #1 [ffffffff81a01ed0] cpu_idle at ffffffff81009fc6
crash>



Based above information, so this issue has been fixed.
Comment 10 errata-xmlrpc 2013-11-21 02:05:07 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1553.html

Note You need to log in before you can comment on or make changes to this bug.